> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal TIN



## OpenAPI

````yaml get /beneficiaries/{public_id}/reveal_tin
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /beneficiaries/{public_id}/reveal_tin:
    get:
      tags:
        - beneficiaries
      operationId: beneficiaries_reveal_tin_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Beneficiary'
          description: ''
components:
  schemas:
    Beneficiary:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        full_name:
          type: string
          maxLength: 255
        dob:
          type: string
          format: date
          nullable: true
        member_relationship:
          $ref: '#/components/schemas/BeneficiaryMemberRelationshipEnum'
        member:
          type: string
        tin:
          type: string
          writeOnly: true
          pattern: \d{9}
        tin_last_four:
          type: string
          readOnly: true
        address:
          $ref: '#/components/schemas/Address'
        phone_number:
          type: string
          maxLength: 10
      required:
        - address
        - full_name
        - id
        - member
        - member_relationship
        - phone_number
        - tin
        - tin_last_four
    BeneficiaryMemberRelationshipEnum:
      enum:
        - spouse
        - child
        - parent
        - sibling
        - friend
        - trust
        - organization
        - estate
      type: string
      description: |-
        * `spouse` - Spouse
        * `child` - Child
        * `parent` - Parent
        * `sibling` - Sibling
        * `friend` - Friend
        * `trust` - Trust
        * `organization` - Organization
        * `estate` - Estate
    Address:
      type: object
      properties:
        line1:
          type: string
        line2:
          type: string
          nullable: true
        city:
          type: string
        state:
          $ref: '#/components/schemas/StateEnum'
        zip_code:
          type: string
          maxLength: 11
      required:
        - city
        - line1
        - state
        - zip_code
    StateEnum:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      type: string
      description: |-
        * `AL` - AL
        * `AK` - AK
        * `AZ` - AZ
        * `AR` - AR
        * `CA` - CA
        * `CO` - CO
        * `CT` - CT
        * `DE` - DE
        * `DC` - DC
        * `FL` - FL
        * `GA` - GA
        * `HI` - HI
        * `ID` - ID
        * `IL` - IL
        * `IN` - IN
        * `IA` - IA
        * `KS` - KS
        * `KY` - KY
        * `LA` - LA
        * `ME` - ME
        * `MD` - MD
        * `MA` - MA
        * `MI` - MI
        * `MN` - MN
        * `MS` - MS
        * `MO` - MO
        * `MT` - MT
        * `NE` - NE
        * `NV` - NV
        * `NH` - NH
        * `NJ` - NJ
        * `NM` - NM
        * `NY` - NY
        * `NC` - NC
        * `ND` - ND
        * `OH` - OH
        * `OK` - OK
        * `OR` - OR
        * `PA` - PA
        * `RI` - RI
        * `SC` - SC
        * `SD` - SD
        * `TN` - TN
        * `TX` - TX
        * `UT` - UT
        * `VT` - VT
        * `VA` - VA
        * `WA` - WA
        * `WV` - WV
        * `WI` - WI
        * `WY` - WY

````